package com.gh.common.provider

import com.gh.download.DownloadManager
import com.gh.gamecenter.core.provider.IDownloadManagerProvider
import com.lightgame.download.DownloadEntity

@com.therouter.inject.ServiceProvider
class DownloadManagerProviderImpl : IDownloadManagerProvider {

    override fun getDownloadEntityByUrl(url: String): DownloadEntity? {
        return DownloadManager.getInstance().getDownloadEntityByUrl(url)
    }

    override fun resumeAllInvisiblePendingTask() {
        DownloadManager.getInstance().resumeAllInvisiblePendingTask()
    }

}